import React from 'react';
import PropTypes from 'prop-types';

export const CurrentPageReport = props => {
	const { page, pageCount, template } = props;
	const text = template.replace('{currentPage}', page + 1).replace('{totalPages}', pageCount);
	return <span className="p-paginator-current">{text}</span>;
};

CurrentPageReport.defaultProps = {
	page: null,
	pageCount: null,
	template: '({currentPage} of {totalPages})',
};

CurrentPageReport.propTypes = {
	page: PropTypes.number,
	pageCount: PropTypes.number,
	template: PropTypes.string,
};

export default CurrentPageReport;
