import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ReactDOM from 'react-dom';

export class MultiSelectPanel extends Component {
	renderElement() {
		const { children, header, onClick, scrollHeight } = this.props;
		return (
			<div
				className="p-multiselect-panel p-hidden p-input-overlay"
				ref={el => (this.element = el)}
				onClick={onClick}
			>
				{header}
				<div tabIndex="-1" className="p-multiselect-items-wrapper" style={{ maxHeight: scrollHeight }}>
					<ul
						className="p-multiselect-items p-multiselect-list p-component"
						role="listbox"
						aria-multiselectable
					>
						{children}
					</ul>
				</div>
			</div>
		);
	}

	render() {
		const { appendTo } = this.props;
		const element = this.renderElement();

		if (appendTo) {
			return ReactDOM.createPortal(element, appendTo);
		} else {
			return element;
		}
	}
}

MultiSelectPanel.defaultProps = {
	appendTo: null,
	header: null,
	onClick: null,
	scrollHeight: null,
};

MultiSelectPanel.propTypes = {
	appendTo: PropTypes.object,
	children: PropTypes.any,
	header: PropTypes.any,
	onClick: PropTypes.func,
	scrollHeight: PropTypes.string,
};

export default MultiSelectPanel;
